## OGMRipChapterList

OGMRipChapterList — A widget that lists the chapters of a DVD title

## Functions

GtkWidget * | ogmrip_chapter_list_new ()
void | ogmrip_chapter_list_select_all ()
void | ogmrip_chapter_list_deselect_all ()
gboolean | ogmrip_chapter_list_get_selected ()

## Signals

void | selection-changed | No Hooks

## Types and Values

struct | OGMRipChapterList

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkTreeView
                            ╰── OGMDvdChapterList
                                ╰── OGMRipChapterList

## Implemented Interfaces

OGMRipChapterList implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <ogmrip-chapter-list.h>

## Description

## Functions

### ogmrip_chapter_list_new ()

    GtkWidget *
    ogmrip_chapter_list_new (void);

Creates a new OGMRipChapterList.

#### Returns

The new OGMRipChapterList

### ogmrip_chapter_list_select_all ()

    void
    ogmrip_chapter_list_select_all (OGMRipChapterList *list);

Select all the chapters of the list.

#### Parameters

list | An OGMRipChapterList |

### ogmrip_chapter_list_deselect_all ()

    void
    ogmrip_chapter_list_deselect_all (OGMRipChapterList *list);

Deselects all the chapters of the list.

#### Parameters

list | An OGMRipChapterList |

### ogmrip_chapter_list_get_selected ()

    gboolean
    ogmrip_chapter_list_get_selected (OGMRipChapterList *list,
                                      guint *start_chapter,
                                      gint *end_chapter);

Gets the range of the selected chapters.

#### Parameters

list | An OGMRipChapterList |
start_chapter | The first selected chapter |
end_chapter | The last selected chapter |

#### Returns

`TRUE`, if `start_chapter` and `end_chapter` were set

## Types and Values

### struct OGMRipChapterList

    struct OGMRipChapterList;

## Signal Details

### The `“selection-changed”` signal

    void
    user_function (OGMRipChapterList *list,
                   gpointer           user_data)

Emitted each time the selection of chapters changes

#### Parameters

list | the widget that received the signal |
user_data | user data set when the signal handler was connected. |

Flags: No Hooks